Package com.independentsoft.office.odf.styles

# Class AmPm

java.lang.Object
com.independentsoft.office.odf.styles.AmPm

public class AmPm extends Object
Represents whether AM/PM is included as part of a date or time.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AmPm()`
  Initializes a new instance of the AmPm class.
  `AmPm​(boolean value)`
  Initializes a new instance of the AmPm class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AmPm`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `boolean`
  `isValue()`
  Specifies whether AM/PM is included as part of a date or time.
  `void`
  `setValue​(boolean value)`
  Specifies whether AM/PM is included as part of a date or time.
  `String`
  `toString()`
  Converts the value of the current AmPm object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AmPm

    public AmPm()
    Initializes a new instance of the AmPm class.

  - ### AmPm

    public AmPm​(boolean value)
    Initializes a new instance of the AmPm class.
    Parameters:
      `value` - the value

- ## Method Details

  - ### clone

    public AmPm clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current AmPm object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### isValue

    public boolean isValue()
    Specifies whether AM/PM is included as part of a date or time.
    Returns:
      true, if is value

  - ### setValue

    public void setValue​(boolean value)
    Specifies whether AM/PM is included as part of a date or time.
    Parameters:
      `value` - the new value